package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag701;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT701Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag49HCreator extends AbsTagCreate {

     private MT701Creator mt701Creator;

    public Tag49HCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt701Creator= (MT701Creator) absMTCreator;
    }

    public void creator()
    {
        String tag49HValue = mt701Creator.getSpecialPaymentConditionsforBankOnly();
        mt701Creator.set("49H", tag49HValue);
    }
}

